<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Porblem Number83</title>
</head>

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.83:</b> Write a JavaScript to find the longest string from an given array of strings. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
		<input type="number" id="num1" placeholder="Numbers of Array elements!" style="width: 200px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo1"></pre>
		<pre id="demo"></pre>
	</div>
	<script>
	  function generate() {
		  var num = + document.getElementById('num1').value;
		  var arr = [];
		  var bign = 0;
		  if ( num > 0 ) {
			  for ( i=0 ; i<num ; i++) {
				  arr.push(prompt("Enter Sring Number" +(i+1)));
				  arr.map(String);
				  document.getElementById('demo1').innerHTML=
						  "The Array You Entered is:<br>[ " + arr.join(", ") + " ]";
				  if (arr[i].length>bign){
					  bign = arr[i].length;
					  document.getElementById('demo').innerHTML=
						  "And longest element is:<br> [ " + arr[i] + " ]";
				  }
			  }
		  }
	  }
	</script>
	
</body>
</html>
